Bug 144819 - kernel BUG at net/ipv4/tcp_output.c:922
kernel BUG at net/ipv4/tcp_output.c:922
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 14:06 EST by Uriah Welcome
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uriah Welcome 2005-01-11 14:06:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041201 Firefox/1.0

Description of problem:
One of our webservers while doing completely normal traffic panic'd
with the following message.

kernel BUG at net/ipv4/tcp_output.c:922!
invalid operand: 0000 [#1]
SMP
Modules linked in: nfs lockd sunrpc e1000 e100 mii microcode dm_mod
uhci_hcd ehci_hcd ext3 jbd raid1
CPU:    1
EIP:    0060:[<c0295421>]    Not tainted VLI
EFLAGS: 00010202   (2.6.10-1.8_FC2smp)
EIP is at tcp_retrans_try_collapse+0xbe/0x2c2
eax: e7273c80   ebx: ef1eb280   ecx: 00000550   edx: ec89fd94
esi: ec89fd94   edi: ec89fb80   ebp: cb490380   esp: c03b2f60
ds: 007b   es: 007b   ss: 0068
Process swapper (pid: 0, threadinfo=c03b2000 task=f7fa6530)
Stack: 00000010 00000338 00000218 ec89fd94 ec89fb80 ef1eb280 ec89fd94
ec89fb80
       fffffff5 c02958d8 00000004 00000550 ec89fb80 ec89fb80 ec89fd94
ec89fbf4
       c02974da ec89fb80 ec89fd94 c2028a60 c03b2fcc c0297684 c0297605
ec89fb80
Call Trace:
 [<c02958d8>] tcp_retransmit_skb+0x162/0x2b8
 [<c02974da>] tcp_retransmit_timer+0x252/0x37d
 [<c0297684>] tcp_write_timer+0x7f/0xb9
 [<c0297605>] tcp_write_timer+0x0/0xb9
 [<c0297605>] tcp_write_timer+0x0/0xb9
 [<c0125556>] run_timer_softirq+0x123/0x150
 [<c0122150>] __do_softirq+0x4c/0xb1
 [<c0105d83>] do_softirq+0x41/0x48
 =======================
 [<c010470c>] apic_timer_interrupt+0x1c/0x24
 [<c0102018>] default_idle+0x0/0x2f
 [<c0102041>] default_idle+0x29/0x2f
 [<c01020a0>] cpu_idle+0x26/0x3b
Code: 00 8b 44 24 08 03 44 24 04 39 c8 0f 8f 16 02 00 00 8b 83 ac 00
00 00 66 83 78 0a 01 75 0d 8b 85 ac 00 00 00 66 83 78 0a 01 74 08 <0f>
0b 9a 03 f0 79 2f c0 8b 45 08 ff 48 08 c7 45 08 00 00 00 00
 <0>Kernel panic - not syncing: Fatal exception in interrupt


Version-Release number of selected component (if applicable):
kernel-smp-2.6.10-1.8_FC2smp

How reproducible:
Didn't try

Steps to Reproduce:
1. Setup standard webserver using NFSv3, apache
2. Run for a couple days under high load (10mbit or so)
3. Crash
    

Actual Results:  Crash / Reboot

Expected Results:  Shouldn't have crashed

Additional info:
Comment 1 Dave Jones 2005-04-16 00:31:28 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.